Bug 33208 - Japanese kickstart install:Japanese characters got scrembled(mojibake)
Japanese kickstart install:Japanese characters got scrembled(mojibake)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-26 03:12 EST by Bill Huang
Modified: 2007-03-26 23:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-03 15:44:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Huang 2001-03-26 03:12:00 EST
(Originally reported by Hitachi)

Tested kickstart installation with wolverine(Japanese version),
Japanese characters got scrembled during installation.
Although installation can be finished,if disk partitioning should be
defined by users,
users cant read the information from screen.
Comment 1 Bill Huang 2001-03-26 06:23:45 EST
confirmed with qa0324.0,Japanese can be displayed.

There are another problem:
After kickstart installation is started,there are two screens:"installer
language selection" and "keyboard selection".
Actually lang=ja_JP.eucJP and jp106 keyboard are set in ks.cfg.

Comment 2 Bill Huang 2001-03-26 08:29:52 EST
sorry,I am wrong.Even qa0324.0 kickstart installation,Japanese cant be displayed
properly.
(Japanese characters got scrembled.)

(What made Japanese displayed properly was that CDROM was inserted after
installer was started.)
Comment 3 Matt Wilson 2001-03-27 11:49:56 EST
This has always been the way kickstart worked (or failed to work) in Japanese.
Comment 4 Nakai 2001-03-30 02:08:42 EST
This is kon2 problem rather than the translation, isn't it?
Comment 5 Matt Wilson 2001-03-30 02:11:25 EST
the installer never changes into kon mode when doing kickstart installs.  I'm
afraid to change it now.
Comment 6 Michael Fulbright 2001-03-30 10:54:42 EST
This will have to wait till the next release.
Comment 7 Michael A. McLean 2002-01-29 18:53:53 EST
I'm seeing this bug in current (01/29/2002, re0129.0EE) trees.

All text kickstart installs are affected.  GUI kickstart installs appear correctly.
Comment 8 Matt Wilson 2002-03-12 16:35:38 EST
The code re-org needed to fix this is better off left for Milan
Comment 9 Michael Fulbright 2002-03-26 12:27:16 EST
Deferred to future release.
Comment 10 Michael Fulbright 2002-05-26 15:00:00 EDT
Fixing bug status- sorry for the email.
Comment 11 Jeremy Katz 2003-01-02 16:17:10 EST
Should work in Phoebe
Comment 12 Mike McLean 2003-01-03 15:44:51 EST
This bug is fixed, verified with ftp/http kickstart installs.

Note You need to log in before you can comment on or make changes to this bug.